properties-cpp: /build/properties-cpp/src/properties-cpp-0.0.4/tests/properties_test.cpp File Reference

properties-cpp 0.0.3 A very simple convenience library for handling properties and signals in C++11.

properties_test.cpp File Reference
`#include <core/property.h>`
`#include <gtest/gtest.h>`
Include dependency graph for properties_test.cpp:

Go to the source code of this file.

## Functions
| TEST (Property, default_construction_yields_default_value)
| TEST (Property, copy_construction_yields_correct_value)
| TEST (Property, assignment_operator_for_properties_works)
| TEST (Property, assignment_operator_for_raw_values_works)
| TEST (Property, equality_operator_for_properties_works)
| TEST (Property, equality_operator_for_raw_values_works)
| TEST (Property, signal_changed_is_emitted_with_correct_value_for_set)
| TEST (Property, signal_changed_is_emitted_with_correct_value_for_assignment)
| TEST (Property, signal_changed_is_emitted_with_correct_value_for_update)
| TEST (Property, cursor_position_changes_are_transported_correctly)
| TEST (Property, chaining_properties_works)
| TEST (Property, getter_is_invoked_for_get_operations)
| TEST (Property, setter_is_invoked_for_set_operations)

## Function Documentation

## ◆ TEST() [1/13]

TEST | ( | Property | ,
|  | assignment_operator_for_properties_works | )

Definition at line 43 of file properties_test.cpp.

References core::Property< T >::get().

Here is the call graph for this function:

## ◆ TEST() [2/13]

TEST | ( | Property | ,
|  | assignment_operator_for_raw_values_works | )

Definition at line 53 of file properties_test.cpp.

References core::Property< T >::get().

Here is the call graph for this function:

## ◆ TEST() [3/13]

TEST | ( | Property | ,
|  | chaining_properties_works | )

Definition at line 170 of file properties_test.cpp.

References core::Property< T >::get(), and core::Property< T >::set().

Here is the call graph for this function:

## ◆ TEST() [4/13]

TEST | ( | Property | ,
|  | copy_construction_yields_correct_value | )

Definition at line 34 of file properties_test.cpp.

References core::Property< T >::get().

Here is the call graph for this function:

## ◆ TEST() [5/13]

TEST | ( | Property | ,
|  | cursor_position_changes_are_transported_correctly | )

Definition at line 153 of file properties_test.cpp.

## ◆ TEST() [6/13]

TEST | ( | Property | ,
|  | default_construction_yields_default_value | )

Definition at line 23 of file properties_test.cpp.

References core::Property< T >::get().

Here is the call graph for this function:

## ◆ TEST() [7/13]

TEST | ( | Property | ,
|  | equality_operator_for_properties_works | )

Definition at line 62 of file properties_test.cpp.

## ◆ TEST() [8/13]

TEST | ( | Property | ,
|  | equality_operator_for_raw_values_works | )

Definition at line 72 of file properties_test.cpp.

## ◆ TEST() [9/13]

TEST | ( | Property | ,
|  | getter_is_invoked_for_get_operations | )

Definition at line 181 of file properties_test.cpp.

References core::Property< T >::get(), and core::Property< T >::install().

Here is the call graph for this function:

## ◆ TEST() [10/13]

TEST | ( | Property | ,
|  | setter_is_invoked_for_set_operations | )

Definition at line 197 of file properties_test.cpp.

References core::Property< T >::install(), and core::Property< T >::set().

Here is the call graph for this function:

## ◆ TEST() [11/13]

TEST | ( | Property | ,
|  | signal_changed_is_emitted_with_correct_value_for_assignment | )

Definition at line 113 of file properties_test.cpp.

References core::Property< T >::changed(), and core::Signal< Arguments >::connect().

Here is the call graph for this function:

## ◆ TEST() [12/13]

TEST | ( | Property | ,
|  | signal_changed_is_emitted_with_correct_value_for_set | )

Definition at line 100 of file properties_test.cpp.

References core::Property< T >::changed(), core::Signal< Arguments >::connect(), and core::Property< T >::set().

Here is the call graph for this function:

## ◆ TEST() [13/13]

TEST | ( | Property | ,
|  | signal_changed_is_emitted_with_correct_value_for_update | )

Definition at line 127 of file properties_test.cpp.

References core::Property< T >::changed(), core::Signal< Arguments >::connect(), and core::Property< T >::update().

Here is the call graph for this function: